Bug 217411 - logwatch email contains lots of unmached entries for Postfix
logwatch email contains lots of unmached entries for Postfix
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: logwatch (Show other bugs)
6
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-27 15:15 EST by John Griffiths
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-28 11:57:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
maillog (1.05 MB, application/octet-stream)
2006-11-28 11:01 EST, John Griffiths
no flags Details

  None (edit)
Description John Griffiths 2006-11-27 15:15:51 EST
Description of problem:
The version of logwatch currently in FC6, logwatch-7.3-6.fc6, does not
understand many of the messages from the version of postfix in FC6,
postfix-2.3.3-2. Consequently,the logwatch email contains lots of 


Version-Release number of selected component (if applicable):
logwatch-7.3-6.fc6
postfix-2.3.3-2

How reproducible:
always

Steps to Reproduce:
1. Configure and run Postfix
2. Run logwatch
3. Check email
  
Actual results:
logwatch email contains lots of unmached entries for Postfix

Expected results:
logwatch email handle most of the entries for Postfix

Additional info:
Unmached entries include: need fully-qualified hostname, User unknown in local
recipient table, Host not found, filtered email from rules set up in the Postfix
access database, email that is rejected by the SPAM filter, and even normal
email that is correctly forwarded.


    NOQUEUE: reject: RCPT from
c-71-60-179-251.hsd1.pa.comcast.net[71.60.179.251]: 504 5.5.2 <leonardo>: Helo
command rejected: need fully-qualified hostname; from=<address@domain>
to=<address@domain> proto=ESMTP helo=<leonardo>

    NOQUEUE: reject: RCPT from softbank221034109007.bbtec.net[221.34.109.7]: 550
5.1.1 <address@domain>: Recipient address rejected: User unknown in local
recipient table; from=<address@domain> to=<address@domain> proto=ESMTP
helo=<softbank221034109007.bbtec.net>

    NOQUEUE: reject: RCPT from static-vmg-181-13.vm-mail.com[206.82.181.13]: 450
4.7.1 <vm-181-13.vm-mail.com>: Helo command rejected: Host not found;
from=<mailcenter370378@vm-mail.com> to=<address@domain> proto=ESMTP
helo=<vm-181-13.vm-mail.com>

The rejected email rejected by the Postfix access database also shows up.


    NOQUEUE: reject: RCPT from cpe-74-66-224-242.nyc.res.rr.com[74.66.224.242]:
550 5.7.1 <cpe-74-66-224-242.nyc.res.rr.com>: Helo command rejected: Spammer
from res.rr.com; from=<hatlas@rr.com>to=<address@domain> proto=SMTP
helo=<cpe-74-66-224-242.nyc.res.rr.com>

Mail that is discarded by SPAM filter is listed.


    E18E73180AC: to=<address@domain>, relay=127.0.0.1[127.0.0.1]:10024,
delay=0.9, delays=0.23/0.01/0.01/0.66, dsn=2.7.0, status=sent (254 2.7.0 Ok,
discarded, id=28829-06 - SPAM)

Normally delivered email even shows up.


    F24CA318056: to=<address@domain>, relay=127.0.0.1[127.0.0.1]:10024,
delay=4.8, delays=3.1/0.01/0.01/1.6, dsn=2.6.0, status=sent (250 2.6.0 Ok,
id=21483-04, from MTA([127.0.0.1]:10025): 250 2.0.0 Ok: queued as 75E563181A4)
    75E563181A4: to=<address@domain>, orig_to=<address@domain>, relay=local,
delay=0.11, delays=0.06/0.03/0/0.01, dsn=2.0.0, status=sent (delivered to maildir)

I searched the filter for postfix and found no entries that would filter that.
The only NOQUEUE: in the filter is:

    } elsif ( ($Server) = ($ThisLine =~ /^NOQUEUE: reject: MAIL from ([^ ]*\[[^ ]
*\]): 552 Message size exceeds fixed limit; proto=[^ ]* helo=<[^ ]*>$/)) {
      $SizeLimit{"MAIL from $Server"}++;

Apparently the Postfix package changed its logging format in the 2.3 version.

I've also reported this upstream to logwatch-bugs at logwatch dot org.
Comment 1 Ivana Varekova 2006-11-28 10:00:40 EST
Could you please attach your maillog file?
Comment 2 John Griffiths 2006-11-28 11:01:21 EST
Created attachment 142300 [details]
maillog
Comment 3 Ivana Varekova 2006-11-28 11:57:09 EST
This bugs are fixed in logwatch-7.3.1-5.fc7 in devel branch.
Comment 4 John Griffiths 2006-11-28 13:22:08 EST
Will it be back ported to FC6? Hope so.
Comment 5 Ivana Varekova 2006-11-29 03:43:09 EST
I want to back port it when there is more patched bugs against fc6.
Comment 6 Ivana Varekova 2006-12-20 03:36:57 EST
fixed in logwatch-7.3-7.fc6.
Comment 7 John Griffiths 2006-12-24 21:37:35 EST
When will logwatch-7.3-7.fc6 release in the yum repository for fc6?

Note You need to log in before you can comment on or make changes to this bug.